IBM TRIRIGA Application Platform has potential Cross-Site scripting vulnerabilities in various URL's

Flash (Alert)


Abstract

IBM TRIRIGA Application Platform has potential Cross-Site scripting vulnerabilities in various URL's.

Content

Cross-Site Scripting vulnerabilities may enable malicious scripts to be injected into certain URLs. Customers on certain versions of the IBM TRIRIGA Application Platform are potentially impacted by these vulnerabilities, which can cause various issues including but not limited to broken pages or application functionality, and the ability to forward data from the page to an external (unauthorized) site. A complete list of impacted URL's is provided below:

/WebProcess.srv
/html/en/default/actionHandler/queryHandler.jsp
/html/en/default/reportTemplate/hGridTopQuery.jsp?portalSectionId

CVSS:


CVSS Base Score: 3.5
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/85266 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (AV:N/AC:M/Au:S/C:N/I:P/A:N)


AFFECTED PLATFORMS:

The following IBM TRIRIGA Application Platform versions are affected.

· IBM TRIRIGA Application Platform 3.3.1.
· IBM TRIRIGA Application Platform 3.3 and fix packs
· IBM TRIRIGA Application Platform 3.2.1 and fix packs
· IBM TRIRIGA Application Platform 3.2 and fix packs
· IBM TRIRIGA Application Platform 3.1 and fix packs
· IBM TRIRIGA Application Platform 3.0 and fix packs
· IBM TRIRIGA Application Platform 2.7 and fix packs
· IBM TRIRIGA Application Platform 2.6 and fix packs
· IBM TRIRIGA Application Platform 2.5 and fix packs
· IBM TRIRIGA Application Platform 2.1 and fix packs
· IBM TRIRIGA Application Platform 8 and fix packs


REMEDIATION:

· The recommended solution is to apply the fix for each named product as soon as practical. Please see below for information on the fixes available.

Fix:

These vulnerabilities are resolved in the IBM TRIRIGA Application Platform fix pack 3.3.1.1. Due to the threat posed by a successful attack, IBM strongly recommends that customers upgrade their platform to version 3.3.1 and the 3.3.1.1 Platform fix pack as soon as possible. Instructions on how to download and install IBM TRIRIGA Application Platform 3.3 can be found here: IBM TRIRIGA Application Platform 3.3 Download Instructions


Workaround:

Until you apply the fixes, it may be possible to reduce the risk of successful attack by restricting network protocols required by an attack. For attacks that require certain privileges or access to certain packages, removing the privileges or the ability to access the packages from unprivileged users may help reduce the risk of successful attack. Both approaches may break application functionality, so IBM strongly recommends that customers test changes on non-production systems. Neither approach should be considered a long-term solution as neither corrects the underlying problem.

Mitigation:

None Known

REFERENCES:

· Complete CVSS Guide
· On-line Calculator V2
· CVE-2013-4003
· X-Force Database

Related information

• IBM PSIRT External Blog
• IBM Secure Engineering and PSIRT External Web Portal
• X-Force Database

Rate this page:

(0 users)Average rating

Document information


More support for:

IBM TRIRIGA Application Platform
IBM TRIRIGA Application Platform

Software version:

3.3.1

Operating system(s):

Platform Independent

Software edition:

Edition Independent

Reference #:

1646694

Modified date:

2013-08-13

Translate my page

Machine Translation

Content navigation